htmlprops_be.h File Reference
`#include <gwenhywfar/htmlfont_be.h>`

Go to the source code of this file.

## Macros

#define | HTML_PROPS_NOCOLOR 0xffffffff

## Typedefs

typedef struct HTML_PROPS | HTML_PROPS

## Functions

GWENHYWFAR_API void | HtmlProps_Attach (HTML_PROPS *pr)
GWENHYWFAR_API HTML_PROPS * | HtmlProps_dup (const HTML_PROPS *pr)
GWENHYWFAR_API void | HtmlProps_free (HTML_PROPS *pr)
GWENHYWFAR_API uint32_t | HtmlProps_GetBackgroundColor (const HTML_PROPS *pr)
GWENHYWFAR_API HTML_FONT * | HtmlProps_GetFont (const HTML_PROPS *pr)
GWENHYWFAR_API uint32_t | HtmlProps_GetForegroundColor (const HTML_PROPS *pr)
GWENHYWFAR_API HTML_PROPS * | HtmlProps_new (void)
GWENHYWFAR_API void | HtmlProps_SetBackgroundColor (HTML_PROPS *pr, uint32_t c)
GWENHYWFAR_API void | HtmlProps_SetFont (HTML_PROPS *pr, HTML_FONT *fnt)
GWENHYWFAR_API void | HtmlProps_SetForegroundColor (HTML_PROPS *pr, uint32_t c)

## Macro Definition Documentation

## HTML_PROPS_NOCOLOR

#define HTML_PROPS_NOCOLOR 0xffffffff

Definition at line 17 of file htmlprops_be.h.

## Typedef Documentation

## HTML_PROPS

typedef struct HTML_PROPS HTML_PROPS

Definition at line 15 of file htmlprops_be.h.

## Function Documentation

## HtmlProps_Attach()

GWENHYWFAR_API void HtmlProps_Attach | ( | HTML_PROPS * | pr | ) |

References GWENHYWFAR_API.

## HtmlProps_dup()

GWENHYWFAR_API HTML_PROPS * HtmlProps_dup | ( | const HTML_PROPS * | pr | ) |

References GWENHYWFAR_API.

## HtmlProps_free()

GWENHYWFAR_API void HtmlProps_free | ( | HTML_PROPS * | pr | ) |

References GWENHYWFAR_API.

## HtmlProps_GetBackgroundColor()

GWENHYWFAR_API uint32_t HtmlProps_GetBackgroundColor | ( | const HTML_PROPS * | pr | ) |

References GWENHYWFAR_API.

## HtmlProps_GetFont()

GWENHYWFAR_API HTML_FONT * HtmlProps_GetFont | ( | const HTML_PROPS * | pr | ) |

References GWENHYWFAR_API.

## HtmlProps_GetForegroundColor()

GWENHYWFAR_API uint32_t HtmlProps_GetForegroundColor | ( | const HTML_PROPS * | pr | ) |

References GWENHYWFAR_API.

## HtmlProps_new()

GWENHYWFAR_API HTML_PROPS * HtmlProps_new | ( | void |  | ) |

References GWENHYWFAR_API.

## HtmlProps_SetBackgroundColor()

GWENHYWFAR_API void HtmlProps_SetBackgroundColor | ( | HTML_PROPS * | pr,
|  | uint32_t | c )

References GWENHYWFAR_API.

## HtmlProps_SetFont()

GWENHYWFAR_API void HtmlProps_SetFont | ( | HTML_PROPS * | pr,
|  | HTML_FONT * | fnt )

References GWENHYWFAR_API.

## HtmlProps_SetForegroundColor()

GWENHYWFAR_API void HtmlProps_SetForegroundColor | ( | HTML_PROPS * | pr,
|  | uint32_t | c )

References GWENHYWFAR_API.